A list of the number and dimensions for the packages being shipped. hash
packages.id REQUIRED
The unique package identifier for the merchant or exporter.
packages.dimensions REQUIRED
The dimensions for the package. hash
packages.dimensions.height REQUIRED
A decimal for the height of the shipping box.
packages.dimensions.length REQUIRED
A decimal for the length of the shipping box.
packages.dimensions.unit REQUIRED
The unit of measurement for the shipping box dimensions. Possible values are inchcentimetermillimeternull.When null, inch will be used.
packages.dimensions.width REQUIRED
A decimal containing the width of the shipping box.
packages.insured_amount OPTIONAL
A decimal with the insurance amount.
packages.type OPTIONAL
A string to specify a specific carrier box type to be used for the shipping calculation. Possible values include FEDEX_BOX
packages.weight REQUIRED
A decimal containing the weight of the package.
packages.weight_unit REQUIRED
A string with the unit of measurement for the weight.Possible values are poundouncekilogramnull.When null, pound will be used.
pickup_date REQUIRED
The requested pickup date for the package, in the ISO 8601 format YYYY-MM-DDTHH:mm:ss.sss+0000. UTC is assumed when no time zone information is passed.
service_level OPTIONAL
The service_level with the carrier, e.g., standard. hash Common examples include: ups_express, ups_express_saver, ups_expedited, ups_economy, ups_standard, ups_mail_innovations_economy, ups_mail_innovations_priority, dhl_express, dhl_ecommerce_parcel_direct, fedex_priority, fedex_economy, usps_first_class_mail_international, usps_priority_mail_international, landmark_parcel, apc_parcel, point2point_standard, point2point_direct, point2point_packet, and fedex_international_groundSee the carrier docs for the full list of available service levels by carrier.
ship_from REQUIRED
The origin address. hash
ship_from.city
A string for the address city, town, district, suburb, or village of the origin address.
Request a shipment rating
Request a shipment rating
Explore the key/value pairs in a shipment rating request.Request international shipping rates for various shipping providers that are configured in your store’s settings within Zonos.
Attributes
JSON key/value pairs in the request body
POST |
https://api.zonos.com/v1/shipment_ratingHEADER
zonos-version: 2020-03-04currencyREQUIREDitems_amountREQUIREDpackagesREQUIREDhashpackages.idREQUIREDpackages.dimensionsREQUIREDhashpackages.dimensions.heightREQUIREDpackages.dimensions.lengthREQUIREDpackages.dimensions.unitREQUIREDinchcentimetermillimeternull.Whennull,inchwill be used.packages.dimensions.widthREQUIREDpackages.insured_amountOPTIONALpackages.typeOPTIONALFEDEX_BOXpackages.weightREQUIREDpackages.weight_unitREQUIREDpoundouncekilogramnull.Whennull,poundwill be used.pickup_dateREQUIREDYYYY-MM-DDTHH:mm:ss.sss+0000. UTC is assumed when no time zone information is passed.service_levelOPTIONALstandard.hashCommon examples include:ups_express,ups_express_saver,ups_expedited,ups_economy,ups_standard,ups_mail_innovations_economy,ups_mail_innovations_priority,dhl_express,dhl_ecommerce_parcel_direct,fedex_priority,fedex_economy,usps_first_class_mail_international,usps_priority_mail_international,landmark_parcel,apc_parcel,point2point_standard,point2point_direct,point2point_packet, andfedex_international_groundSee the carrier docs for the full list of available service levels by carrier.ship_fromREQUIREDhashship_from.cityship_from.countryREQUIREDship_from.postal_codeREQUIREDship_from.state_codeREQUIREDship_toREQUIREDhashship_to.cityREQUIREDship_to.countryREQUIREDship_to.postal_codeREQUIREDship_to.state_codeREQUIREDship_to.typeREQUIREDresidentialcommercial.{"currency": "USD","items_amount": 168.99,"packages": [{"id": "1","dimensions": {"height": 19,"length": 15,"unit": "inch","width": 15},"insured_amount": 33.22,"type": null,"weight": 32,"weight_unit": "pound"}],"pickup_date": "2020-07-06T18:47:04.629+0000","service_level": null,"ship_from": {"city": "St George","country": "US","postal_code": "84770","state_code": "UT"},"ship_to": {"city": "Campinas","country": "BR","postal_code": "75828-000","state_code": "SP","type": "residential"}}Was this page helpful?